# sf::Rect< T > Class Template Reference

Rect is an utility class for manipulating rectangles. More...

`#include <Rect.hpp>`

List of all members.

## Public Member Functions

| Rect ()
| Default constructor.
| Rect (T LeftCoord, T TopCoord, T RightCoord, T BottomCoord)
| Construct the rectangle from its coordinates.
T | GetWidth () const
| Get the width of the rectangle.
T | GetHeight () const
| Get the height of the rectangle.
void | Offset (T OffsetX, T OffsetY)
| Move the whole rectangle by the given offset.
bool | Contains (T X, T Y) const
| Check if a point is inside the rectangle's area.
bool | Intersects (const Rect< T > &Rectangle, Rect< T > *OverlappingRect=NULL) const
| Check intersection between two rectangles.

## Public Attributes

T | Left
| Left coordinate of the rectangle.
T | Top
| Top coordinate of the rectangle.
T | Right
| Right coordinate of the rectangle.
T | Bottom
| Bottom coordinate of the rectangle.

## Detailed Description

### template<typename T>
class sf::Rect< T >

Rect is an utility class for manipulating rectangles.

Template parameter defines the type of coordinates (integer, float, ...)

Definition at line 41 of file Rect.hpp.

## Constructor & Destructor Documentation

template<typename T>

sf::Rect< T >::Rect | ( |  | ) |

Default constructor.

template<typename T>

sf::Rect< T >::Rect | ( | T | LeftCoord,
|  | T | TopCoord,
|  | T | RightCoord,
|  | T | BottomCoord |
| ) |  |  |

Construct the rectangle from its coordinates.

Parameters:

  | LeftCoord | : Left coordinate of the rectangle
  | TopCoord | : Top coordinate of the rectangle
  | RightCoord | : Right coordinate of the rectangle
  | BottomCoord | : Bottom coordinate of the rectangle

## Member Function Documentation

template<typename T>

bool sf::Rect< T >::Contains | ( | T | X,
|  | T | Y |
| ) |  |  | const

Check if a point is inside the rectangle's area.

Parameters:

  | X | : X coordinate of the point to test
  | Y | : Y coordinate of the point to test

Returns:
  True if the point is inside

template<typename T>

T sf::Rect< T >::GetHeight | ( |  | ) | const

Get the height of the rectangle.

Returns:
  Height of rectangle

template<typename T>

T sf::Rect< T >::GetWidth | ( |  | ) | const

Get the width of the rectangle.

Returns:
  Width of rectangle

template<typename T>

bool sf::Rect< T >::Intersects | ( | const Rect< T > & | Rectangle,
|  | Rect< T > * | OverlappingRect = `NULL` |
| ) |  |  | const

Check intersection between two rectangles.

Parameters:

  | Rectangle | : Rectangle to test
  | OverlappingRect | : Rectangle to be filled with overlapping rect (NULL by default)

Returns:
  True if rectangles overlap

template<typename T>

void sf::Rect< T >::Offset | ( | T | OffsetX,
|  | T | OffsetY |
| ) |  |  |

Move the whole rectangle by the given offset.

Parameters:

  | OffsetX | : Horizontal offset
  | OffsetY | : Vertical offset

## Member Data Documentation

template<typename T>

T sf::Rect< T >::Bottom

Bottom coordinate of the rectangle.

Definition at line 115 of file Rect.hpp.

template<typename T>

T sf::Rect< T >::Left

Left coordinate of the rectangle.

Definition at line 112 of file Rect.hpp.

template<typename T>

T sf::Rect< T >::Right

Right coordinate of the rectangle.

Definition at line 114 of file Rect.hpp.

template<typename T>

T sf::Rect< T >::Top

Top coordinate of the rectangle.

Definition at line 113 of file Rect.hpp.

The documentation for this class was generated from the following file:

- Rect.hpp